////////////////////////////////////////////////////////////
//
//  VECTOR3.CPP - 3-D Point and Vector Classes
//
//  Version:    1.03A
//
//  History:    94/08/23 - Version 1.00A release.
//              94/12/16 - Version 1.01A release.
//              95/02/05 - Version 1.02A release.
//              95/07/21 - Version 1.02B release.
//              96/02/14 - Version 1.02C release.
//              96/04/01 - Version 1.03A release.
//
//  Compilers:  Microsoft Visual C/C++ Professional V1.5
//              Borland C++ Version 4.5
//
//  Author:     Ian Ashdown, P.Eng.
//              byHeart Software Limited
//              620 Ballantree Road
//              West Vancouver, B.C.
//              Canada V7S 1W3
//              Tel. (604) 922-6148
//              Fax. (604) 987-7621
//
//  Copyright 1994-1996 byHeart Software Limited
//
//  The following source code has been derived from:
//
//    Ashdown, I. 1994. Radiosity: A Programmer's
//    Perspective. New York, NY: John Wiley & Sons.
//
//  It may be freely copied, redistributed, and/or modified
//  for personal use ONLY, as long as the copyright notice
//  is included with all source code files.
//
////////////////////////////////////////////////////////////

#include "vector3.h"

// Add vector v to point p
Point3 operator+( Point3 p, Vector3 v )
{
  Point3 temp;  // Temporary 3-D point

  temp.x = p.x + (float) v.GetX();
  temp.y = p.y + (float) v.GetY();
  temp.z = p.z + (float) v.GetZ();

  return temp;
}

// Add point p to vector v
Point3 operator+( Vector3 v, Point3 p )
{ return p + v; }

